/* 
 * File:   spi.h
 * Author: dt
 *
 * Created on 6. Februar 2021, 11:46
 */

#ifndef SPI_H
#define	SPI_H

#include "spipacket.h"

#define CR (TRISA7) // Chip ready
   //RB4 = SDO
    //RB3 = SDI
    //RB2 = CLK

#define CRDAT (LATA7)

void spiInit();
void spiSetTranferCompleteHandler(void (*spiTrCompl)(spiTransmitPacket*) );
void spiInterruptHandler();

#endif	/* SPI_H */

