#ifndef _SPIPACKET_
#define	_SPIPACKET_

#define MAXPACKETSIZE (63)

typedef struct {
    char U1len;
    char U1data[MAXPACKETSIZE];
    char U2len;
    char U2data[MAXPACKETSIZE];
    char U3len;
    char U3data[MAXPACKETSIZE];
    char U4len;
    char U4data[MAXPACKETSIZE];
} spiTransmitPacket;

typedef union {
    char cBuf[4*(MAXPACKETSIZE+1)];
    spiTransmitPacket pck;
} spiPacket;

extern spiPacket* spiActive;
extern spiPacket* spiSend;
extern spiPacket spiTmit[2];
extern spiPacket spiRecv;

#endif